
#ifndef _dkutil_Exception__
#define _dkutil_Exception__

#include "dkutilDefinedC.h"

namespace dkutil{

struct dkutil_exception{
	std::string m_what;
	int m_state;
	enum{
		enuERROR_RESULT = edk_FAILED,
	};
	int error_result()const{return enuERROR_RESULT;}
	int state()const{return m_state;}
	const char *what()const{return m_what.c_str();}
	dkutil_exception(char *str,int state) : m_what(str) ,m_state(state){}
	virtual ~dkutil_exception(){}
};

}//end of dkutil namespace

#endif //end of include once